terraform {
  required_providers {
    kaniko = {
      source = "registry.terraform.io/seal-io/kaniko"
    }
  }
}

provider "kaniko" {}

resource "kaniko_image" "example" {
  context           = "git://gitlab-ee.treesir.pub/demotest/walrus/simple-web-service.git"
  dockerfile        = "Dockerfile"
  destination       = "yangzun/test:1"
  registry_username = "yangzun"
  registry_password = "nuli123456@."
  lifecycle {
    create_before_destroy = true
  }
}

output "debug" {
  description = "debug"
  value       = resource.kaniko_image.example
  sensitive   = true
}
